<?php
/**
 * Plugin Name: Medic52 Lift & Trail WP Status
 * Plugin URI: https://www.medic52.com/
 * Description: A plugin that brings in the Trail & Lift status information for your leisure centre, ski resort or outdoor activity centre. Data automatically updates as your team update it on the dashboard.
 * Version: 1.2
 * Author: Medic52
 * Author URI: https://www.medic52.com/
 * Text Domain: medic52_wpstatus
 *
 */

defined( 'ABSPATH' ) || exit;

define( 'MEDIC52_WPSTATUS_VERSION', '1.2' );

// Define MWPS_PLUGIN_FILE.
if ( ! defined( 'MWPS_PLUGIN_FILE' ) ) {
    define( 'MWPS_PLUGIN_FILE', __FILE__ );
}
if ( ! defined( 'MWPS_PLUGIN_URL' ) ) {
    define( 'MWPS_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

// Include the main MWPS class.
if ( ! class_exists( 'Medic52_WPStatus' ) ) {
    include_once dirname( __FILE__ ) . '/includes/class-medic52-wpstatus.php';
}

/**
 * Returns the main instance of MWPS.
 *
 * @since  1.1
 * @return Medic52_WPStatus
 */
function MWPS() { // phpcs:ignore WordPress.NamingConventions.ValidFunctionName.FunctionNameInvalid
    return Medic52_WPStatus::instance();
}

// Global for backwards compatibility.
$GLOBALS['medic52_wpstatus'] = MWPS();
